Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Synch_Invocation Class Reference

TAO_GIOP_Synch_Invocation. More...

`#include <Invocation.h>`

Inheritance diagram for TAO_GIOP_Synch_Invocation

[legend]
Collaboration diagram for TAO_GIOP_Synch_Invocation:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Synch_Invocation (void)
| Default constructor. This should never get called, it is here only to appease older versions of g++.
| TAO_GIOP_Synch_Invocation (TAO_Stub *stub, const char *operation, CORBA::ULong opname_len, CORBA::Boolean argument_flag, TAO_ORB_Core *orb_core, int byte_order = TAO_ENCAP_BYTE_ORDER)
| Constructor.
virtual | ~TAO_GIOP_Synch_Invocation (void)
| Destructor.
TAO_InputCDR& | inp_stream (void)
| Return the underlying input stream. Called by the stub to demarshal the results of the upcall into whatever return arguments there may be.

## Detailed Description

TAO_GIOP_Synch_Invocation.

Base class for TAO_GIOP_Twoway_Invocation and TAO_GIOP_Oneway_Invocation.

## Constructor & Destructor Documentation

TAO_GIOP_Synch_Invocation::TAO_GIOP_Synch_Invocation ( | void )

| Default constructor. This should never get called, it is here only to appease older versions of g++.

ACE_INLINE TAO_GIOP_Synch_Invocation::TAO_GIOP_Synch_Invocation ( | TAO_Stub * stub,
| const char * operation,
| CORBA::ULong opname_len,
| CORBA::Boolean argument_flag,
| TAO_ORB_Core * orb_core,
| int byte_order = TAO_ENCAP_BYTE_ORDER )

| Constructor.

TAO_GIOP_Synch_Invocation::~TAO_GIOP_Synch_Invocation ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

ACE_INLINE TAO_InputCDR & TAO_GIOP_Synch_Invocation::inp_stream ( | void )

| Return the underlying input stream. Called by the stub to demarshal the results of the upcall into whatever return arguments there may be.

The documentation for this class was generated from the following files:

- Invocation.h
- Invocation.cpp
- Invocation.i